Readline error with rails 3

when i type ‘rails console’ in my rails 3 project I get the following
error

/home/yadav/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/irb/completion.rb:9:in
require': no such file to load -- readline (LoadError) from /home/yadav/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/irb/completion.rb:9:in<top (required)>’
from
/home/yadav/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.0/lib/rails/commands/console.rb:3:in
require' from /home/yadav/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.0/lib/rails/commands/console.rb:3:in<top (required)>’
from
/home/yadav/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.0/lib/rails/commands.rb:20:in
require' from /home/yadav/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.0/lib/rails/commands.rb:20:in<top (required)>’
from script/rails:6:in require' from script/rails:6:in

I built rails 3 from source and do have gnu readline files installed

dpkg -l | grep readline
ii libreadline6 6.1-1 GNU readline and history libraries,
run-time libraries
ii libreadline6-dev 6.1-1 GNU readline and history libraries,
development files
ii readline-common 6.1-1 GNU readline and history libraries, common
files

i also installed rdp-rb-readline (0.2.0.1)

not sure why i am seeing this error?


Kind Regards,
Rajinder Y.

I found the solution, this seems to be an error with RVM on Linux

http://rvm.beginrescueend.com/packages/readline/

You need to install the dev files for realine before you do those steps

2010/9/18 Rajinder Y. [email protected]

http://rails3blog.com/2010/09/error-no-such-file-to-load-readline-loaderror/

On Sep 18, 11:20pm, Daniel G. [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs